//#############################################################################
//
// FILE:   TIDA-010231_settings.h
//
// TITLE: This is the settings.h file, which contains all the project level
//        settings
//
//#############################################################################
// $TI Release: TIDA-010231 v1.00.00.00 $
// $Release Date: Thu Jan 26 15:58:32 CST 2023 $
// $Copyright:
// Copyright (C) 2023 Texas Instruments Incorporated - http://www.ti.com/
//
// ALL RIGHTS RESERVED
// $
//#############################################################################

#ifndef TIDA_010231_SETTINGS_H_
#define TIDA_010231_SETTINGS_H_

//
// Number of input samples for arc detection algorithm
//
#define ARC_SAMPLES             1024

//
//Define GPIO numbers and configurations of status LEDs
//
#define ARC_LED1            8
#define ARC_LED1_PIN_CONFIG GPIO_8_GPIO8

#define ARC_LED2            10
#define ARC_LED2_PIN_CONFIG GPIO_10_GPIO10

#define ARC_LED3            39
#define ARC_LED3_PIN_CONFIG GPIO_39_GPIO39

#define ARC_LED4            23
#define ARC_LED4_PIN_CONFIG GPIO_23_GPIO23

//
//Define GPIO numbers and configurations of Filter stage enable Pins
//
#define ARC_FILT1_EN            28
#define ARC_FILT1_EN_PIN_CONFIG GPIO_28_GPIO28

#define ARC_FILT2_EN            29
#define ARC_FILT2_EN_PIN_CONFIG GPIO_29_GPIO29

#define ARC_FILT3_EN            30
#define ARC_FILT3_EN_PIN_CONFIG GPIO_30_GPIO30

#define ARC_FILT4_EN            31
#define ARC_FILT4_EN_PIN_CONFIG GPIO_31_GPIO31

//
//Define GPIO numbers and configurations of Level translation for internal ADC
//
#define ARC_LEVEL_TRANSLATION_EN 32
#define ARC_LEVEL_TRANSLATION_EN_PIN_CONFIG GPIO_32_GPIO32

//
//Define Base addresses for used peripherals
//
#define ARC_DAC1_BASE DACA_BASE

#define ARC_DMA1_BASE DMA_CH1_BASE
#define ARC_DMA2_BASE DMA_CH2_BASE
#define ARC_DMA3_BASE DMA_CH3_BASE

#define ARC_EPWM_BASE EPWM2_BASE

#define ARC_ADC_BASE            ADCA_BASE
#define ARC_ADC_RESULTS_BASE    ADCARESULT_BASE
#define ARC_ADC_SOC             ADC_SOC_NUMBER0
#define ARC_ADC_TRIG_SOURCE     ADC_TRIGGER_EPWM2_SOCA
#define ARC_ADC_PIN             ADC_CH_ADCIN6
#define ARC_ADC_ACQ_SYS_CLKS    8U

//
//Define Interrupts
//
#define ARC_DMA1_INT INT_DMA_CH1
#define ARC_DMA2_INT INT_DMA_CH2
#define ARC_DMA3_INT INT_DMA_CH3

#define ARC_ADC_INT1 ADC_INT_NUMBER1
#define ARC_ADC_INT2 ADC_INT_NUMBER2


#endif /* TIDA_010231_SETTINGS_H_ */
