#ifndef HW_MODULE_H
#define HW_MODULE_H

//*****************************************************************************
//
// If building with a C++ compiler, make all of the definitions in this header
// have a C binding.
//


//*****************************************************************************
#ifdef __cplusplus
extern "C" {
#endif

//
// Included Files
//
#include "driverlib.h"
#include "device.h"


//*****************************************************************************
//
// PinMux Configurations
//
//*****************************************************************************
//
// GPIO34 - GPIO Settings
//
#define LED0_GPIO_GPIO_PIN_CONFIG GPIO_34_GPIO34

//
// SCIA -> mySCIA Pinmux
//
//
// SCIA_RX - GPIO Settings
//
#define GPIO_PIN_SCIA_RX 28
#define SCIA_SCIRX_GPIO 28
#define SCIA_SCIRX_PIN_CONFIG GPIO_28_SCIA_RX
//
// SCIA_TX - GPIO Settings
//
#define GPIO_PIN_SCIA_TX 29
#define SCIA_SCITX_GPIO 29
#define SCIA_SCITX_PIN_CONFIG GPIO_29_SCIA_TX

/* UART communication port */
// SCIB_RX - GPIO Settings  
#define GPIO_PIN_SCIB_RX 13
#define SCIB_SCIRX_GPIO 13
#define SCIB_SCIRX_PIN_CONFIG GPIO_13_SCIB_RX
//
// SCIB_TX - GPIO Settings
//
#define GPIO_PIN_SCIB_TX 12
#define SCIB_SCITX_GPIO 12
#define SCIB_SCITX_PIN_CONFIG GPIO_12_SCIB_TX



//*****************************************************************************
//
// CPUTIMER Configurations
//
//*****************************************************************************
#define this_CPUTIMER0_BASE CPUTIMER0_BASE
void led_work_timer_init();

//*****************************************************************************
//
// GPIO Configurations
//
//*****************************************************************************
#define LED0_GPIO 34
#define LED7_TIDAB_GPIO 39       //TIDA010231 Board  LED7
void LED0_GPIO_init();


//*****************************************************************************
//
// INTERRUPT Configurations
//
//*****************************************************************************

// Interrupt Settings for INT_myCPUTIMER0
#define  INT_CPUTIMER0    INT_TIMER0
#define INT_CPUTIMER0_INTERRUPT_ACK_GROUP INTERRUPT_ACK_GROUP1
__interrupt void INT_CPUTIMER0_ISR(void);
__interrupt void sciaRxISR(void);        

//*****************************************************************************
//
// SCI Configurations
//
//*****************************************************************************
//#define SCIA_BASE           SCIA_BASE
#define SCIA_BAUDRATE       614400
#define SCIA_CONFIG_WLEN    SCI_CONFIG_WLEN_8
#define SCIA_CONFIG_STOP    SCI_CONFIG_STOP_ONE
#define SCIA_CONFIG_PAR     SCI_CONFIG_PAR_NONE
#define SCIA_FIFO_TX_LVL    SCI_FIFO_TX0
#define SCIA_FIFO_RX_LVL    SCI_FIFO_RX0

//*****************************************************************************
//
// Board Configurations
//
//*****************************************************************************
void HW_init();
void CPUTIMER_init();
void GPIO_init();
void CPUTIMER_Int_init();
void SCI_init(uint8_t port);
void LED_init();
void SCI_port_init(uint8_t port);
void SCI_Config_init(uint8_t port);

//*****************************************************************************
//
// Mark the end of the C bindings section for C++ compilers.
//
//*****************************************************************************
#ifdef __cplusplus
}
#endif

#endif  // end of BOARD_H definition

